<!doctype style-sheet PUBLIC "-//James Clark//DTD DSSSL Style Sheet//EN">

(define-unit pi (/ 1in 6))

(element MAIL
  (make simple-page-sequence
	font-family-name: "Arial"
	font-weight: 'medium
	font-posture: 'upright
	font-size: 12pt
	line-spacing: 14.4pt
	top-margin: 6pi
	bottom-margin: 8pi
	left-margin: 6pi
	right-margin: 6pi
	page-width: 8.5in
	page-height: 11in
	input-whitespace-treatment: 'collapse
	quadding: 'start
	(process-children)))

(define ($header-entry$ label)
  (make paragraph
	(make sequence
	      font-weight: 'bold
	      (literal
	       (string-append
		label
		": ")))
	(process-children)))

(element TO ($header-entry$ "To"))
(element FROM ($header-entry$ "From"))
(element DATE ($header-entry$ "Date"))
(element SUBJ ($header-entry$ "Subject"))

(element BODY
  (make display-group
	space-before: 18pt
	space-after: 18pt
	(process-children)))

(element PARA
  (make paragraph
 	space-before: 6pt
	space-after: 6pt
	(process-children)))

(element CODE
  (make paragraph
 	space-before: 12pt
	space-after: 12pt
	font-family-name: "Courier New"
	font-size: 10pt
	line-spacing: 12pt
	lines: 'asis
	input-whitespace-treatment: 'preserve
	(process-children)))
