<!doctype style-sheet PUBLIC "-//James Clark//DTD DSSSL Style Sheet//EN">

(define-unit pi (/ 1in 6))

(define %bf-size% 12pt)
(define %mf-size% (- %bf-size% 2pt))
(define %lspace-factor% 1.2)

(element MAIL
  (make simple-page-sequence
	font-family-name: "Arial"
	font-weight: 'medium
	font-posture: 'upright
	font-size: %bf-size%
	line-spacing: (* %bf-size% %lspace-factor%)
	top-margin: 6pi
	bottom-margin: 8pi
	left-margin: 6pi
	right-margin: 6pi
	page-width: 8.5in
	page-height: 11in
	input-whitespace-treatment: 'collapse
	quadding: 'start
	(process-children)))

(define ($header-entry$ label)
  (make paragraph
	(make sequence
	      font-weight: 'bold
	      (literal
	       (string-append
		label
		": ")))
	(process-children)))

(element TO ($header-entry$ "To"))
(element FROM ($header-entry$ "From"))
(element DATE ($header-entry$ "Date"))
(element SUBJ ($header-entry$ "Subject"))

(element BODY
  (make display-group
	space-before: (* %bf-size% 1.5)
	space-after: (* %bf-size% 1.5)
	(process-children)))

(element PARA
  (make paragraph
 	space-before: (* %bf-size% 0.5)
	space-after:  (* %bf-size% 0.5)
	(process-children)))

(element CODE
  (make paragraph
 	space-before: %bf-size%
	space-after: %bf-size%
	font-family-name: "Courier New"
	font-size: %mf-size%
	line-spacing: (* %mf-size% %lspace-factor%)
	lines: 'asis
	input-whitespace-treatment: 'preserve
	(process-children)))
